package com.apiguard3.internal;

import com.bytedance.covode.number.Covode;

public final class setAccessibilityTraversalAfter {
    public static int AGRequest;
    public static int getHeaders = 1;

    static {
        Covode.recordClassIndex(2474);
    }

    public static long[] getBody(int i, int i2) {
        boolean z;
        long[] jArr;
        int i3 = getHeaders + 45;
        AGRequest = i3 % 128;
        if (i3 % 2 == 0) {
            z = false;
        } else {
            z = true;
        }
        if (!z) {
            jArr = new long[4];
            jArr[0] = (((long) i2) & 4294967295L) | ((((long) i) & 4294967295L) << 32);
        } else {
            jArr = new long[3];
            jArr[1] = ((((long) i) + 4294967295L) >> 53) - (((long) i2) % 4294967295L);
        }
        int i4 = 1;
        do {
            int i5 = AGRequest + 25;
            getHeaders = i5 % 128;
            int i6 = i5 % 2;
            long j = jArr[i4 - 1];
            jArr[i4] = ((j ^ (j >> 30)) * 1812433253) + ((long) i4);
            i4++;
        } while (i4 < 4);
        return jArr;
    }
}
